Bug 193005 - [iOS] Suppress native selection behaviors when focusing a very small editable element
Summary: [iOS] Suppress native selection behaviors when focusing a very small editable...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Wenson Hsieh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-12-21 20:45 PST by Wenson Hsieh
Modified: 2018-12-23 15:09 PST (History)
7 users (show)

See Also:


Attachments
Patch (19.33 KB, patch)
2018-12-21 22:10 PST, Wenson Hsieh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wenson Hsieh 2018-12-21 20:45:28 PST
<rdar://problem/46583527>
Comment 1 Wenson Hsieh 2018-12-21 22:10:20 PST
Created attachment 358019 [details]
Patch
Comment 2 Wenson Hsieh 2018-12-22 22:12:27 PST
Comment on attachment 358019 [details]
Patch

Thanks for the review!

It looks like a couple of layout tests are failing on EWS on iOS simulator, but they don't look related to this change:

• imported/w3c/web-platform-tests/service-workers/service-worker/register-default-scope.https.html
• fast/ruby/ruby-base-merge-block-children-crash-2.html
Comment 3 WebKit Commit Bot 2018-12-22 22:38:32 PST
Comment on attachment 358019 [details]
Patch

Clearing flags on attachment: 358019

Committed r239543: <https://trac.webkit.org/changeset/239543>
Comment 4 WebKit Commit Bot 2018-12-22 22:38:34 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Wenson Hsieh 2018-12-23 15:09:40 PST
(In reply to Wenson Hsieh from comment #2)
> Comment on attachment 358019 [details]
> Patch
> 
> Thanks for the review!
> 
> It looks like a couple of layout tests are failing on EWS on iOS simulator,
> but they don't look related to this change:
> 
> • imported/w3c/web-platform-tests/service-workers/service-worker/register-default-scope.https.html
> • fast/ruby/ruby-base-merge-block-children-crash-2.html

I take that back, the second test here (ruby-base-merge-block-children-crash-2.html) was definitely failing because of my change. The problem is that my patch doesn't handle integer overflow when computing focused element rect area, so we will crash if focus moves to an editable element with a gigantic bounding rect. I've put up a fix for this in <https://bugs.webkit.org/show_bug.cgi?id=193015>.

As an aside, I'm a bit confused why the ios-sim EWS bot didn't complain about this and instead just kept on retrying the patch over and over again...